绿站
绿色文摘
今天是:

交流 | 搜索 | +发贴

WordPress大版本变化的历史及对PHP的支持
nydalu 2024年7月2日 14次

WordPress作为一款开源的内容管理系统(CMS),自其诞生以来经历了多次大版本的变化和更新,不断为用户和开发者带来新功能和改进的用户体验。以下是WordPress大版本变化历史的归纳与总结:

早期版本(2003年 – 2005年)
0.7版本:作为WordPress的前身b2/cafelog的一个分支,WordPress发布了其第一个版本,此时它遵循与b2/cafelog相同的文件结构。
1.0版本(代号Davis):2004年发布,为平台增加了新的特性,如Atom支持、多类别、评论审核和搜索引擎友好的永久链接等。
1.2版本(代号Mingus):增加了对插件的支持,允许用户创建缩略图、自定义字段等。
1.5版本(代号Strayhorn):添加了主题系统以及静态页面改进,推出前两周内获得了50,000次的安装量。

中期版本(2006年 – 2010年)
2.0版本:引入了插件架构,使用户能够自由扩展功能,为WordPress的生态系统建设打下了坚实基础。
3.0版本(代号Thelonious):引入了自定义类型、自定义菜单等功能,为用户提供了更多的个性化定制选择,同时WordPress与WordPress MU合并,增加了多站点功能。
期间发布了多个小版本:如2.1、2.2、2.3等,这些版本主要集中于增加新功能、优化界面和加强安全措施。

近期版本(2011年至今)
4.0及以后版本:随着移动互联网的兴起,WordPress开始更加注重移动端体验。例如,4.6版本引入了响应式图片功能,优化了移动端浏览体验。
5.0版本(Gutenberg编辑器):2018年发布,引入了全新的Gutenberg编辑器,彻底改变了用户的内容创作方式,使得网站建设变得更加直观和高效。
6.0及以后版本:继续加强功能、优化界面和提升用户体验。例如,6.3版本彻底放弃了对PHP 5的支持,将最低支持的PHP版本提升至7.0,以提供更好的安全性和性能。
最新版本:截至当前时间(2024年7月),WordPress已经发布了多个维护版本,如6.5.4等,这些版本主要修复了核心中的错误并提供了安全更新。

WordPress不同版本对PHP环境版本的支持情况随着WordPress和PHP的不断发展而有所变化。以下是对WordPress各版本对PHP环境版本支持情况的清晰归纳和整理:

WordPress 4.x 版本
WordPress 4.1:开始支持PHP 5.6。这是WordPress首次明确支持PHP 5.6版本,为后续版本向更高PHP版本的迁移奠定了基础。
WordPress 4.4:增加了对PHP 7.0的支持。随着PHP 7.0的发布,WordPress也紧跟步伐,开始支持这一新的PHP版本。
WordPress 4.7:进一步支持PHP 7.1。这表明WordPress在不断提升对PHP新版本的兼容性。
WordPress 4.9:支持PHP 7.2。随着PHP 7.x系列的不断成熟,WordPress也在逐步扩大对它们的支持范围。
WordPress 5.x 版本
WordPress 5.0:支持PHP 7.3。这是WordPress对PHP 7.3的首次支持,表明WordPress在保持对新版本PHP的兼容性和支持方面持续努力。
WordPress 5.2:放弃了对PHP 5.2、5.3、5.4、5.5的支持。这是一个重要的转折点,标志着WordPress开始逐步淘汰过时的PHP版本,以推动用户升级到更安全、性能更好的PHP版本。
WordPress 5.3:支持PHP 7.4。随着PHP 7.4的发布,WordPress也迅速跟进,增加了对这一版本的支持。
WordPress 5.6:开始测试对PHP 8.0的支持。这是WordPress首次尝试支持PHP 8.x系列版本,预示着WordPress将向更高版本的PHP迈进。
WordPress 5.9:测试支持PHP 8.1。在PHP 8.1发布后,WordPress也迅速进行了测试,并提供了对该版本的支持。
WordPress 6.x 版本
WordPress 6.1:测试支持PHP 8.2。随着PHP 8.2的发布,WordPress继续保持对新版本的兼容性测试,为用户提供更多的选择。
WordPress 6.3:彻底放弃对PHP 5的支持,新的最低支持PHP版本为7.0。这是一个重要的里程碑,标志着WordPress彻底告别了对过时PHP版本的支持,鼓励用户升级到更安全、性能更好的PHP 7.x或更高版本。
总结
WordPress不同版本对PHP环境版本的支持情况随着时间和技术的发展而不断变化。从WordPress 4.1开始支持PHP 5.6,到WordPress 6.3彻底放弃对PHP 5的支持,可以看出WordPress在推动用户升级到更高版本的PHP方面做出了不懈努力。同时,WordPress也紧跟PHP的发展步伐,不断增加对PHP新版本的支持,为用户提供更加安全、高效、稳定的运行环境。

需要注意的是,虽然WordPress提供了对新版本PHP的支持,但用户在升级PHP版本时仍需谨慎,确保自己的网站插件、主题等都与新版本的PHP兼容,以避免出现不必要的问题。



关于 ·登录·管理
加载0.237 查询 15